[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetSBVisibility

Determines the visibility of the horizontal and vertical scroll bars for the control.

## Declaration

Source position: dbgrids.pas line 480

`protected procedure TCustomDBGrid.GetSBVisibility(`
`out HsbVisible: Boolean;`
`out VsbVisible: Boolean`
`); override;`

## Arguments

`HsbVisible` |  | Returns the visibility for the horizontal scroll bar.
`VsbVisible` |  | Returns the visibility for the vertical scroll bar.

## Description

GetSBVisibility is an overridden procedure used to determine the visibility of horizontal and vertical scroll bars for the control. GetSBVisibility calls the inherited method to use the logic implemented in the ancestor class. GetSBVisibility overrides the value used for the vertical scroll bar; it is set to True when ScrollBars contains ssVertical or ssBoth. ScrollBarAutomatic is called when the vertical scroll bar is not visible, and the GetScrollbarParams method is used to update the vertical scroll bar settings.

## See also

TCustomGrid.GetSBVisibility |  | Gets the values for the scroll bar visibility flags in the control.